<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_fici.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("mail.inc.php");
include_once("../classes/dirtool/class_dirtool.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$nom = str_majuscules(str_escape(trim(@$_POST["nom"])));
$rcs = str_majuscules(str_escape(trim(@$_POST["rcs"])));
$ape = str_majuscules(str_escape(trim(@$_POST["ape"])));
$tvai = str_majuscules(str_escape(trim(@$_POST["tvai"])));
$tcom = str_majuscules(str_escape(trim(@$_POST["tcom"])));
$adr1 = str_majuscules(str_escape(trim(@$_POST["adr1"])));
$adr2 = str_majuscules(str_escape(trim(@$_POST["adr2"])));
$dep = strip_tags(trim(@$_POST["dep"]));
$ville = str_majuscules(strip_tags(trim(@$_POST["ville"])));
$pays = str_majuscules(strip_tags(trim(@$_POST["pays"])));
$telf = strip_tags(trim(@$_POST["telf"]));
$txttelf = strip_tags(str_escape(trim(@$_POST["txttelf"])));
$fax = strip_tags(trim(@$_POST["fax"]));
$txtfax = str_escape(trim(@$_POST["txtfax"]));
$web = strip_tags(trim(@$_POST["web"]));
$heures = strip_tags(str_escape(trim(@$_POST["heures"])));
$txtent = str_escape(trim(@$_POST["txtent"]));
$rcivil = strip_tags(trim(@$_POST["rcivil"]));
$rprenom = str_escape(trim(@$_POST["rprenom"]));
$rnom = str_escape(trim(@$_POST["rnom"]));
$rtelf = strip_tags(trim(@$_POST["rtelf"]));
$rtelp = strip_tags(trim(@$_POST["rtelp"]));
$email = strtolower(strip_tags(trim(@$_POST["email"])));
$emaild = strtolower(strip_tags(trim(@$_POST["emaild"])));
$emailc = strtolower(strip_tags(trim(@$_POST["emailc"])));
$emailt = strtolower(strip_tags(trim(@$_POST["emailt"])));
$nota = str_escape(trim(@$_POST["nota"]));
$emetf = strip_tags(trim(@$_POST["factures"]));
if ($emetf == "Oui")
	$facture = TRUE;
else
	$facture = FALSE;
$actif = strip_tags(trim(@$_POST["actif"]));
if ($actif == "Oui")
	$ouvert = TRUE;
else
	$ouvert = FALSE;

$codeuser = @$_SESSION["code_log"];
$retourliste = TRUE;

$pass = cremdp(FALSE);
$passcrypt = md5($pass);

$msg = "";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche Agence
	case "add" :
		$coded ="D".$code;
		$rech = "SELECT * FROM " .TBDO. " WHERE do_code = '$coded'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBDO;
			$rech2 .= " (do_datecrea,do_codecrea,do_datemod,do_codemod,do_code,do_pass,do_nom,do_rcs,do_ape,do_tvai,do_tcom,";
			$rech2 .= "do_adr1,do_adr2,do_dep,do_ville,do_codepays,do_telf,do_txttelf,do_fax,do_txtfax,do_txtent,do_resp_civilite,";
			$rech2 .= "do_resp_prenom,do_resp_nom,do_resp_telf,do_resp_telp,do_email,do_emaild,do_emailc,do_emailt,do_heures,do_web,";
			$rech2 .= "do_nota,do_fact,do_ouvert) VALUES";
			$rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$coded','$passcrypt','$nom','$rcs','$ape','$tvai','$tcom',";
			$rech2 .= "'$adr1','$adr2','$dep','$ville','$pays','$telf','$txttelf','$fax','$txtfax','$txtent','$rcivil','$rprenom','$rnom',";
			$rech2 .= "'$rtelf','$rtelp','$email','$emaild','$emaild','$emailt','$heures','$web','$nota','$facture','1')";
			$rs2 = mysql_query($rech2) or die(mysql_error());
		
			// Ajout du compte pour connexion
			// Niveau par défaut : 6
			// Actif par défaut
				
			$log_ip = $_SERVER['REMOTE_ADDR']; // Récupération adresse IP
			$rech = "INSERT INTO " .TBPW. "(pw_code,pw_pass,pw_level,pw_lastsuccess,pw_lastip,pw_actif) VALUES ('$coded','$passcrypt','6','$dateheurea','$log_ip','1')";
			$rs2 = mysql_query($rech) or die(mysql_error());
		
			$msg = "Fiche enregistr&eacute;e";
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		mysql_close($conn);
		
		if ($retourliste == TRUE)
		{
			// Envoi d'email vers le donneur d'ordres
			envoi_mail("","Ouverture de votre compte donneur d'ordres","do","cre","xxx","do",$coded,$pass,"",TRUE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("","Ouverture d'un compte donneur d'ordres","do","cre","xxx","cdg",$coded,$pass,"",FALSE);
		}
		break;
		
	case "edit" :
		mysql_close($conn);
		$existint = FALSE;
		$existtec=FALSE;
	
		if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
		{
			if ($ouvert == FALSE) // Si fermeture de donneur d'ordres, quelques contrôles sont nécessaires
			{
				// Vérifie si utilisé dans une fiche intervention non close
				if (exist_do_in_int_ouv($code) == TRUE)
				{
					$existint = TRUE;
					$msg = "Il faut d'abord clore les interventions en cours pour d&easactiver ce donneur d'ordres.";
					$retourliste = FALSE;
				}
	
				// Vérifie si utilisé dans une fiche technicien non licencié
				if (exist_do_in_tec_present($code) == TRUE)
				{
					$existtec = TRUE;
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg .= "Il faut d'abord licencier les techniciens présent dans ce donneur d'ordres pour le fermer.";
					$retourliste = FALSE;
				}
			}
		}
					
		if (($existint == FALSE) AND ($existtec == FALSE))
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			
			switch (@$_SESSION["niv_log"])
			{
				case 5 :
				case 9 :
					// MAJ de la fiche donneur d'ordres
					$rech = "UPDATE `" .TBDO. "` SET `do_datemod`='".$datea."', `do_codemod`='".$codeuser."', `do_code`='".$code."',";
					$rech.= " `do_nom`='".$nom."', `do_rcs`='".$rcs."', `do_ape`='".$ape."', `do_tvai`='".$tvai."', `do_tcom`='".$tcom."', `do_adr1`='".$adr1."',";
					$rech.= " `do_adr2`='".$adr2."', `do_dep`='".$dep."',`do_ville`='".$ville."',`do_codepays`='".$pays."',";
					$rech.= " `do_codepays`='".$pays."', `do_telf`='".$telf."', `do_txttelf`='".$txttelf."', `do_fax`='".$fax."',";
					$rech.= " `do_txtfax`='".$txtfax."', `do_txtent`='".$txtent."', `do_resp_civilite`='".$rcivil."',";
					$rech.= " `do_resp_prenom`='".$rprenom."', `do_resp_nom`='".$rnom."', `do_resp_telf`='".$rtelf."', `do_resp_telp`='".$rtelp."',";
					$rech.= " `do_email`='".$email."', `do_emaild`='".$emaild."', `do_emailc`='".$emailc."', `do_emailt`='".$emailt."',";
					$rech.= " `do_heures`='".$heures."', `do_web`='".$web."', `do_nota`='".$nota."', `do_fact`='".$facture."',";
					$rech.= " `do_ouvert`='".$ouvert."'   WHERE `do_code` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());
					if ($ouvert == FALSE)
					{
						// MAJ date de fermeture
						$rech = "UPDATE `" .TBDO. "` SET `do_datec`='".$datea."'";
						$rech.= " WHERE `do_code` = '".$code."'";
						$rs = mysql_query($rech) or die(mysql_error());
					}
					break;
				case 6 :
					// MAJ de la fiche donneur d'ordres
					$rech = "UPDATE `" .TBDO. "` SET `do_datemod`='".$datea."', `do_codemod`='".$codeuser."', `do_telf`='".$telf."', `do_txttelf`='".$txttelf."', `do_fax`='".$fax."', `do_txtfax`='".$txtfax."', `do_txtent`='".$txtent."', `do_resp_civilite`='".$rcivil."', `do_resp_prenom`='".$rprenom."', `do_resp_nom`='".$rnom."', `do_resp_telf`='".$rtelf."', `do_resp_telp`='".$rtelp."', `do_email`='".$email."', `do_emaild`='".$emaild."', `do_emailc`='".$emailc."', `do_emailt`='".$emailt."', `do_heures`='".$heures."', `do_web`='".$web."'  WHERE `do_code` = '".$code."'";
					$rs = mysql_query($rech) or die(mysql_error());
					break;
			}
			
			$msg = $txt_fiche_mod;
				
			mysql_close($conn);
	
			// Envoi d'email vers le centre de gestion
			envoi_mail("","Modification d'un compte donneur d'ordres","do","mod","xxx","cdg",$code,"","",TRUE);
		}
		break;
		
	// Suppression de la fiche Donneur d'ordres
	case "del" :
		mysql_close($conn);
		$existint = FALSE;
		$existtec = FALSE;
	
		// Vérifie si utilisée dans une fiche intervention
		if (exist_do_in_int($code) == TRUE)
		{
			$existint = TRUE;
			$msg = "Ce donneur d'ordres est utilis&eacute; dans une fiche intervention.<br>Vous ne pouvez donc pas le supprimer (Il suffit de le passer en mode 'd&eacute;sactiv&eacute;').";
			$retourliste = FALSE;
		}
		
		// Vérifie si utilisé dans une fiche technicien			
		if (exist_do_in_tec($code) == TRUE)
		{
			$existtec = TRUE;
			if ($msg <> "")
				$msg .= "<br><br>";			
			$msg .= "Ce donneur d'ordres est utilis&eacute;e dans une fiche technicien.<br>Vous ne pouvez donc pas le supprimer (Il suffit de la passer en mode 'ferm&eacute;').";
			$retourliste = FALSE;
		}
					
		if (($existint == FALSE) AND ($existtec == FALSE))
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
	
			// SUPPRESSION de la fiche Donneur d'Ordres
			$rech = "DELETE FROM `" .TBDO. "` WHERE `do_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			// Suppression du mot de passe rattaché
			$rech = "DELETE FROM `" .TBPW. "` WHERE `pw_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			// mysql_free_result($rs);
			mysql_close($conn);
	
			// Suppression des logos spécifiques au donneur d'ordres
			$nomfic = $root.REP."/logos/log".strtolower($code);
			if (is_file($nomfic.".png"))
			{
				if (!unlink($nomfic.".png"))
				{
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg.= "Probl&egrave;me de suppression du logo png";
					$retourliste = FALSE;
				}
			}
			if (is_file($nomfic.".gif"))
			{
				if (!unlink($nomfic.".gif"))
				{
					if ($msg <> "")
						$msg .= "<br><br>";			
					$msg.= "Probl&egrave;me de suppression du logo gif";
					$retourliste = FALSE;
				}
			}
			$msg = $txt_fiche_del;
		}
		break;
		
	default :
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Donneur d'Ordres</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<?php 
include_once("../inc/entete.inc.php"); 
?>


<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>

<?PHP
if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
{
	$url_retour="do_lst.php";
	if ($td == "add") 
	{ 
		$url_retour="logo_maj.php?td=do";
	?>
	<p align="center" class="annot_gras_it">Merci de t&eacute;l&eacute;charger le logo du donneur d'ordres</p>
	<?PHP 
	} 
	?>
	<p align="center" class="annot_std_it">Merci de patienter 2 secondes...</p>
	<script type="text/javascript">
	<!--
	window.setTimeout("location=('<?PHP echo $url_retour; ?>');",2000)
	//-->
	</script>
<?PHP
}
if (@$_SESSION["niv_log"] == 6)
	aff_ret_idx_auto("index.php",2000);
include_once("pied.php");
?>
